Debian Bug report logs - #483710
ITA: libnet -- library for the construction and handling of network packets

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: cavok@debian.org

Date: Fri, 30 May 2008 17:33:01 UTC

Owned by: David Paleino <d.paleino@gmail.com>

Severity: normal

Fixed in version libnet/1.1.2.1-3

Done: David Paleino <d.paleino@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#483710; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Domenico Andreoli <cavok@dandreoli.com>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Domenico Andreoli <cavok@dandreoli.com>
To: submit@bugs.debian.org
Subject: O: libnet -- library for the construction and handling of network packets
Date: Fri, 30 May 2008 19:30:05 +0200
[Message part 1 (text/plain, inline)]
Package: wnpp

I intend to orphan the libnet package.

Upstream development is almost stalled but actually it has never been
too fast either. There is also an old beta which I have never packaged.

The package description is:
 libnet provides a portable framework for low-level network packet
 writing and handling.

 libnet features portable packet creation interfaces at the IP layer
 and link layer, as well as a host of supplementary functionality.

 Using libnet, quick and simple packet assembly applications can be
 whipped up with little effort. With a bit more time, more complex
 programs can be written (Traceroute and ping were easily rewritten
 using libnet and libpcap).

-----[ Domenico Andreoli, aka cavok
 --[ http://www.dandreoli.com/gpgkey.asc
   ---[ 3A0F 2F80 F79C 678A 8936  4FEE 0677 9033 A20E BC50
[signature.asc (application/pgp-signature, inline)]

Changed Bug submitter from Domenico Andreoli <cavok@dandreoli.com> to cavok@debian.org. Request was from Domenico Andreoli <cavok@dandreoli.com> to control@bugs.debian.org. (Fri, 30 May 2008 17:42:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#483710; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to David Paleino <d.paleino@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #12 received at 483710@bugs.debian.org (full text, mbox):

From: David Paleino <d.paleino@gmail.com>
To: 483710@bugs.debian.org
Subject: Adopting it
Date: Fri, 6 Jun 2008 17:45:59 +0200
[Message part 1 (text/plain, inline)]
retitle 483710 ITA: libnet -- library for the construction and handling of network packets
owner 483710 !
thanks

Ciao Domenico,
I'll adopt this package.

Thank you,
David

-- 
 . ''`.  Debian maintainer | http://wiki.debian.org/DavidPaleino
 : :'  : Linuxer #334216 --|-- http://www.hanskalabs.net/
 `. `'`  GPG: 1392B174 ----|---- http://snipr.com/qa_page
   `-   2BAB C625 4E66 E7B8 450A C3E1 E6AA 9017 1392 B174
[signature.asc (application/pgp-signature, attachment)]

Changed Bug title to `ITA: libnet -- library for the construction and handling of network packets' from `O: libnet -- library for the construction and handling of network packets'. Request was from David Paleino <d.paleino@gmail.com> to control@bugs.debian.org. (Fri, 06 Jun 2008 15:48:09 GMT) Full text and rfc822 format available.

Owner recorded as David Paleino <d.paleino@gmail.com>. Request was from David Paleino <d.paleino@gmail.com> to control@bugs.debian.org. (Fri, 06 Jun 2008 15:48:10 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 11 Sep 2008 20:21:10 GMT) Full text and rfc822 format available.

Reply sent to David Paleino <d.paleino@gmail.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to cavok@debian.org:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #23 received at 483710-close@bugs.debian.org (full text, mbox):

From: David Paleino <d.paleino@gmail.com>
To: 483710-close@bugs.debian.org
Subject: Bug#483710: fixed in libnet 1.1.2.1-3
Date: Tue, 16 Sep 2008 18:09:52 +0000
Source: libnet
Source-Version: 1.1.2.1-3

We believe that the bug you reported is fixed in the latest version of
libnet, which is due to be installed in the Debian FTP archive:

libnet1-dbg_1.1.2.1-3_i386.deb
  to pool/main/libn/libnet/libnet1-dbg_1.1.2.1-3_i386.deb
libnet1-dev_1.1.2.1-3_i386.deb
  to pool/main/libn/libnet/libnet1-dev_1.1.2.1-3_i386.deb
libnet1-doc_1.1.2.1-3_all.deb
  to pool/main/libn/libnet/libnet1-doc_1.1.2.1-3_all.deb
libnet1_1.1.2.1-3_i386.deb
  to pool/main/libn/libnet/libnet1_1.1.2.1-3_i386.deb
libnet_1.1.2.1-3.diff.gz
  to pool/main/libn/libnet/libnet_1.1.2.1-3.diff.gz
libnet_1.1.2.1-3.dsc
  to pool/main/libn/libnet/libnet_1.1.2.1-3.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 483710@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
David Paleino <d.paleino@gmail.com> (supplier of updated libnet package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 11 Sep 2008 16:55:36 +0200
Source: libnet
Binary: libnet1 libnet1-dbg libnet1-dev libnet1-doc
Architecture: source i386 all
Version: 1.1.2.1-3
Distribution: unstable
Urgency: low
Maintainer: David Paleino <d.paleino@gmail.com>
Changed-By: David Paleino <d.paleino@gmail.com>
Description: 
 libnet1    - library for the construction and handling of network packets
 libnet1-dbg - debugging symbols for libnet
 libnet1-dev - development files for libnet
 libnet1-doc - developers documentation files for libnet
Closes: 418249 418975 418979 457506 483710 497909
Changes: 
 libnet (1.1.2.1-3) unstable; urgency=low
 .
   * Package adopted (Closes: #483710)
   * debian/compat bumped to 6
   * debian/control:
     - set myself as Maintainer
     - updated debhelper B-D to >= 6
     - added quilt B-D
     - Standards-Version bumped to 3.8.0:
       + added parallel-building capabilities to debian/rules
     - added Homepage field
     - added libnet1-doc package:
       + moved libnet1-dev.doc* to libnet1-doc.doc*
       + updated libnet1-doc.doc-base
       + added libnet1-doc.{postinst,prerm} to register files with
         doc-base
       + added libnet1-doc.examples
     - added libnet1-dbg package:
       + added --dbg-package to dh_strip in debian/rules
   * debian/*.files moved to debian/*.install (using dh_install instead of
     dh_movefiles in debian/rules)
   * debian/rules:
     - added LDFLAGS to ./configure
     - added quilt capabilities
   * debian/libnet-config.1: fixed hyphen-used-as-minus-sign lintian warning
   * debian/patches:
     - 00-fix_build_process.patch added (moving from .diff.gz to a proper patch)
     - 01-fix_libnet-functions.h.3.patch added (hyphen-used-as-minus-sign)
     - 02-fix_libnet_802_1q_hdr.3.patch added (manpage-has-bad-whatis-entry)
     - 03-fix_libnet_802_1x_hdr.3.patch added (manpage-has-bad-whatis-entry)
     - 04-fix_libnet_build_ntp.patch added (Closes: #418249)
     - 05-fix_libnet_pblock_coalesce_buffer_overrun.patch added
       (Closes: #418975), thanks to Simon Horman <horms@debian.org>
     - 06-fix_libnet_pblock_coalesce_leak.patch added (Closes: #418979),
       thanks to Simon Horman <horms@debian.org>
     - 07-add_libnet-cq-end-loop.patch added (Closes: #497909)
     - 08-fix_libnet_checksum.c.patch added (moving from .diff.gz to a proper
       patch)
     - 09-fix_hurd-i386_build.patch added (fixes build on Hurd i386)
       (Closes: #457506)
   * debian/copyright:
     - updated to RFC822 machine-readable format
     - updated with *lots* of missing information
   * debian/libnet1.symbols added
   * debian/watch added
   * debian/libnet1-doc.{postinst,prerm} removed
Checksums-Sha1: 
 846ddb7fcf7de6ae3987289d8db5bfad513529e0 1157 libnet_1.1.2.1-3.dsc
 c8ee248c0776b440a91c9926d192bf6c824e6063 15721 libnet_1.1.2.1-3.diff.gz
 b0342a9137128d107293c61a5997418e344ab393 55334 libnet1_1.1.2.1-3_i386.deb
 08fc21251fb8cc2cdbd891d72c617fe613cc88ae 87692 libnet1-dbg_1.1.2.1-3_i386.deb
 837a835a6d5815f0107c6d151c100c55f1ad0b5d 122074 libnet1-dev_1.1.2.1-3_i386.deb
 e2498a43444dc9ad38c379fa72df2e46cf62f120 230548 libnet1-doc_1.1.2.1-3_all.deb
Checksums-Sha256: 
 a022343510f936753c824b6d24922a9b6fb17c9585e7478167c4035416c8485c 1157 libnet_1.1.2.1-3.dsc
 3b1f306ecf2d73ab8b83a0de15fba9b7cead34b67b4bfc55a557e054325c7c7c 15721 libnet_1.1.2.1-3.diff.gz
 eab4dd17888619d22d457d55cae2bb755810d27c9224c8bc9fc8e7c195fc9b1b 55334 libnet1_1.1.2.1-3_i386.deb
 1da332c45368c002ef9e92a28a85f2f32cccaf6dfa7972b0a21f181e6b92f990 87692 libnet1-dbg_1.1.2.1-3_i386.deb
 3fa927359e4c36bcfddd708c1f996c7142a4c3360c1411403d01a7dc117a3ed7 122074 libnet1-dev_1.1.2.1-3_i386.deb
 29ff8bc54262916e20c3e2f4a5e568079862d4db26d5591a340ed8422c3d5e82 230548 libnet1-doc_1.1.2.1-3_all.deb
Files: 
 da53c9b6dea4d9e19fe850789d7a841f 1157 net optional libnet_1.1.2.1-3.dsc
 b952a4cca57d26ed1b541f0d8349506e 15721 net optional libnet_1.1.2.1-3.diff.gz
 033ffa98f05f86e54c16254cbc103200 55334 libs optional libnet1_1.1.2.1-3_i386.deb
 1b66131cec1fe0bad10b32f65803c830 87692 libs extra libnet1-dbg_1.1.2.1-3_i386.deb
 237ffa9baf95ec1f7daf661bf7d0ecfb 122074 libdevel optional libnet1-dev_1.1.2.1-3_i386.deb
 5a86242b52d4475e930c3651ac1f1ae3 230548 doc optional libnet1-doc_1.1.2.1-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkjJcLoACgkQAQwuptkwlkRJdQCfa/6nRjqAKqbm5mZ4J9jmlIET
cwcAnRNWklluB+YnAMD51EPqsyrCInkO
=r0M3
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 15 Oct 2008 07:27:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 23:16:58 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.